Openjdk-14-jre-headless/openjdk-16-jre-headless on fresh ubuntu install

I did a fresh install (apt install jitsi-meet) on ubuntu server 20. Everything looks fine at first, but the Videobridge doesn’t work. From jvb.log:

Error: Could not create the Java Virtual Machine.
Error: A fatal exception has occurred. Program will exit.

I discovered that all of the sudden
openjdk-16-jre-headless:amd64 16.0.1+9-1~20.04
is installed, compared to
openjdk-14-jre-headless:amd64 14.0.2+12-1~20.04
from an Installation I did last week.

Installing the latter did the job. Anything I did miss?

last time I looked Java 8 and 11 are supported.